Skip to main content
GET
/
v1
/
projects
/
{project_id}
/
indexes
List Indexes
curl --request GET \
  --url https://api.example.com/v1/projects/{project_id}/indexes \
  --header 'x-api-key: <api-key>' \
  --header 'x-selected-account-id: <api-key>'
[
  {
    "id": "<string>",
    "project_id": "<string>",
    "name": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "status": "pending"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.gp.scale.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

API key for authentication

x-selected-account-id
string
header
required

Selected Account ID

Path Parameters

project_id
string
required

Response

Successful Response

id
string
required

ID of the entity

project_id
string
required

ID of the project

name
string
required

Display name of the index

engine_type
enum<string>
required

Type of index engine

Available options:
file_system
created_at
string<date-time>
required

Creation timestamp

updated_at
string<date-time>
required

Last update timestamp

status
enum<string>
default:pending

Index status

Available options:
pending,
ready,
updating,
failed